
Redmine - Feature #6920

Allow subtasks to be affected to a different target version

2010-11-17 01:56 - Paul paul

Status: New Start date: 2010-11-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We want to have subtasks assigned to be delivered in different Target Versions.

This doesn't seem to be possible - Redmine ignores any change of the Target Version for a subtask and sets it to be equal to that of

the parent task.

Related issues:

Related to Redmine - Feature #5487: Allow subtasks to cross projects Closed 2010-05-09

History

#1 - 2010-12-23 06:29 - Jean-Baptiste Barth

- Tracker changed from Defect to Feature

- Subject changed from Can't set a different Target Version for a subtask to Allow subtasks to be affected to a different target version

It will be even more difficult to calculate version progress, don't you think so ? Why don't you use issue relations instead of subtasks ?

#2 - 2011-05-16 17:44 - Etienne Massip

- Category set to Issues

#3 - 2013-07-05 13:04 - Mattias Amnefelt

The reason I would like this feature is that sometimes we have to pull a small part of a larger ticket out of a particular release, even if the main ticket

remains in the release. Currently we have to remove the parent/child relation before we can move the subticket to another version.

#4 - 2013-08-07 18:29 - Roman Zimmermann

Calculating progress isn't as difficult as suggested: It's simply the average progress of all tasks assigned to a version that don't have a parent task

assigned to the same version. The same holds for estimated times.

Having issues subtasks on different versions would help us a lot with the following use-case (for agile development):

- multiple product-projects (holding the backlogs)

- one sprint project - sprints are versions in the sprint project

- general user stories to track overall progress in the product-projects are assigned to product versions.

- more specific sub-user-stories that are assigned to sprints (target version)

#5 - 2013-11-15 23:34 - matthias rebel

It is not only affecting subtasks, also story and all the related tasks. How did you organize the tasks of a story if you can not set different target version

- by time instead of context - is there a workaround for agile development?
